# Uses of Class
org.apache.cxf.service.model.MessagePartInfo

Packages that use MessagePartInfo
Package
Description
org.apache.cxf.databinding
org.apache.cxf.databinding.source
org.apache.cxf.databinding.stax
org.apache.cxf.interceptor
org.apache.cxf.message
org.apache.cxf.service
org.apache.cxf.service.model

- ## Uses of MessagePartInfo in org.apache.cxf.databinding

  Methods in org.apache.cxf.databinding with parameters of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `Object`
  DataReader.`read(MessagePartInfo part, T input)`
  Read an object from the input, applying additional conventions based on the WSDL message part.
  `void`
  DataWriter.`write(Object obj, MessagePartInfo part, T output)`
  Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.

- ## Uses of MessagePartInfo in org.apache.cxf.databinding.source

  Methods in org.apache.cxf.databinding.source with parameters of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `Object`
  NodeDataReader.`read(MessagePartInfo part, Node input)`
  `Object`
  XMLStreamDataReader.`read(MessagePartInfo part, XMLStreamReader input)`
  `void`
  NodeDataWriter.`write(Object obj, MessagePartInfo part, Node output)`
  `void`
  XMLStreamDataWriter.`write(Object obj, MessagePartInfo part, XMLStreamWriter output)`

- ## Uses of MessagePartInfo in org.apache.cxf.databinding.stax

  Methods in org.apache.cxf.databinding.stax with parameters of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `Object`
  StaxDataBinding.XMLStreamDataReader.`read(MessagePartInfo part, XMLStreamReader input)`
  `void`
  StaxDataBinding.XMLStreamDataWriter.`write(Object obj, MessagePartInfo part, XMLStreamWriter output)`

- ## Uses of MessagePartInfo in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return MessagePartInfo
  Modifier and Type
  Method
  Description
  `protected MessagePartInfo`
  AbstractInDatabindingInterceptor.`findMessagePart(Exchange exchange, Collection<OperationInfo> operations, QName name, boolean client, int index, Message message)`
  Find the next possible message part in the message.
  Method parameters in org.apache.cxf.interceptor with type arguments of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `protected void`
  AbstractOutDatabindingInterceptor.`writeParts(Message message, Exchange exchange, BindingOperationInfo operation, MessageContentsList objs, List<MessagePartInfo> parts)`

- ## Uses of MessagePartInfo in org.apache.cxf.message

  Methods in org.apache.cxf.message with parameters of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `Object`
  MessageContentsList.`get(MessagePartInfo key)`
  `boolean`
  MessageContentsList.`hasValue(MessagePartInfo key)`
  `Object`
  MessageContentsList.`put(MessagePartInfo key, Object value)`
  `void`
  MessageContentsList.`remove(MessagePartInfo key)`
  Marks corresponding element as removed, indicating absent value, so subsequent `get(MessagePartInfo)` for the same key return null.

- ## Uses of MessagePartInfo in org.apache.cxf.service

  Methods in org.apache.cxf.service with parameters of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceModelSchemaValidator.`begin(MessagePartInfo part)`
  `void`
  ServiceModelVisitor.`begin(MessagePartInfo part)`
  `void`
  ServiceModelVisitor.`end(MessagePartInfo part)`

- ## Uses of MessagePartInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return MessagePartInfo
  Modifier and Type
  Method
  Description
  `MessagePartInfo`
  AbstractMessageContainer.`addMessagePart(String name)`
  `MessagePartInfo`
  AbstractMessageContainer.`addMessagePart(QName name)`
  Adds a message part to this container.
  `MessagePartInfo`
  AbstractMessageContainer.`addOutOfBandMessagePart(QName name)`
  `MessagePartInfo`
  AbstractMessageContainer.`getFirstMessagePart()`
  `MessagePartInfo`
  AbstractMessageContainer.`getMessagePart(int n)`
  Returns the n'th message part.
  `MessagePartInfo`
  AbstractMessageContainer.`getMessagePart(QName name)`
  Returns the message part with the given name, if found.
  `MessagePartInfo`
  AbstractMessageContainer.`getMessagePartByIndex(int i)`
  Methods in org.apache.cxf.service.model that return types with arguments of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `List<MessagePartInfo>`
  AbstractMessageContainer.`getMessageParts()`
  Returns all message parts for this message.
  `List<MessagePartInfo>`
  BindingMessageInfo.`getMessageParts()`
  `Map<QName,MessagePartInfo>`
  MessageInfo.`getMessagePartsMap()`
  `List<MessagePartInfo>`
  MessageInfo.`getOrderedParts(List<String> order)`
  `List<MessagePartInfo>`
  AbstractMessageContainer.`getOutOfBandParts()`
  Methods in org.apache.cxf.service.model with parameters of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `void`
  AbstractMessageContainer.`addMessagePart(MessagePartInfo part)`
  Adds a message part to this container.
  `int`
  AbstractMessageContainer.`getMessagePartIndex(MessagePartInfo part)`
  `static SchemaInfo`
  ServiceModelUtil.`getSchema(ServiceInfo serviceInfo, MessagePartInfo messagePartInfo)`
  Method parameters in org.apache.cxf.service.model with type arguments of type MessagePartInfo
  Modifier and Type
  Method
  Description
  `void`
  BindingMessageInfo.`setMessageParts(List<MessagePartInfo> messageParts)`